/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface SamplingPointsOutputGeometry
 */
export interface SamplingPointsOutputGeometry {
    /**
     * 
     * @type {Array<number>}
     * @memberof SamplingPointsOutputGeometry
     */
    coordinates: Array<number>;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsOutputGeometry
     */
    type: SamplingPointsOutputGeometryTypeEnum;
}

export function SamplingPointsOutputGeometryFromJSON(json: any): SamplingPointsOutputGeometry {
    return SamplingPointsOutputGeometryFromJSONTyped(json, false);
}

export function SamplingPointsOutputGeometryFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsOutputGeometry {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'coordinates': json['coordinates'],
        'type': json['type'],
    };
}

export function SamplingPointsOutputGeometryToJSON(value?: SamplingPointsOutputGeometry | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'coordinates': value.coordinates,
        'type': value.type,
    };
}

/**
* @export
* @enum {string}
*/
export enum SamplingPointsOutputGeometryTypeEnum {
    Point = 'Point'
}


